%global fontname lohit-malayalam
%global fontconf 67-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        2.4.4
Release:        9%{?dist}
Summary:        Free Malayalam font

Group:          User Interface/X
License:        GPLv2 with exceptions
URL:            https://fedorahosted.org/lohit/
Source0:        https://fedorahosted.org/releases/l/o/lohit/%{fontname}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch
BuildRequires: fontforge >= 20080429
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Patch1: bug-549319-578036.patch
Patch2: bug-673415.patch
Patch3: bug-692363.patch
Patch4: bug-694561.patch
Obsoletes: lohit-fonts-common < %{version}-%{release}

%description
This package provides a free Malayalam truetype/opentype font.


%prep
%setup -q -n %{fontname}-%{version} 
%patch1 -p1 -b .1-fix-font-conf
%patch2 -p1 -b .2-rupee-sign
%patch3 -p1 -b .3-autohint-conf
%patch4 -p1 -b .4-hyphen-removed

%build
make

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}

%_font_pkg -f %{fontconf} *.ttf

%doc ChangeLog COPYRIGHT COPYING AUTHORS README ChangeLog.old

%changelog
* Wed Apr 13 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.4-9
- Resolved bug 694561

* Wed Apr 13 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.4-8
- Resolved bug 692363

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 08 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.4-6
- resolved bug 673415, rupee sign

* Fri Apr 16 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.4-5
- fixed bug 578036, .conf fix

* Thu Dec 13 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.4-4
- fixed bug 548686, license field

* Wed Dec 09 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.4-3
- bugfix 520041

* Fri Sep 25 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.4-2
- updated specs

* Mon Sep 21 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.4-1
- upstream release of 2.4.4
- updated url for upstream tarball
- added Makefile in upstream tar ball

* Fri Sep 11 2009 Pravin Satpute <psatpute@redhat.com> - 2.4.3-1
- first release after lohit-fonts split in new tarball
